# pkg-config configuration for DOLFINx
prefix=/usr
exec_prefix=/usr
libdir=${exec_prefix}/lib
includedir=${prefix}/include
compiler=/usr/bin/g++
definitions= -DDOLFINX_VERSION="0.10.0" -DHAS_ADIOS2 -DHAS_PETSC -DHAS_PTSCOTCH -DHAS_PARMETIS -DHAS_KAHIP -DMDSPAN_USE_PAREN_OPERATOR=1 -DMDSPAN_USE_BRACKET_OPERATOR=0

Name: DOLFINx
Description: Dynamic Object-oriented Library for FINite element computation
Version: 0.10.0
Requires: 
Conflicts:
Libs: -L/opt/petsc/linux-c-opt/lib -lpetsc -L/usr/lib -lmpi -lkahip -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro -Wl,-z,now  -Wl,-z,pack-relative-relocs -flto=auto -L${libdir} -ldolfinx
Cflags: -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wp,-D_GLIBCXX_ASSERTIONS -flto=auto -DDOLFINX_VERSION=\"0.10.0\" ${definitions} -I${includedir} -I/opt/petsc/linux-c-opt/include -I/usr/include -I/usr/lib/python3.14/site-packages/ffcx/codegeneration 
